ViennaCL - The Vienna Computing Library: tests/src/spmdm.cpp File Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Functions
spmdm.cpp File Reference
`#include <iostream>`
`#include <cmath>`
`#include <vector>`
`#include <map>`
`#include "viennacl/scalar.hpp"`
`#include "viennacl/vector.hpp"`
`#include "viennacl/matrix.hpp"`
`#include "viennacl/linalg/direct_solve.hpp"`
`#include "viennacl/compressed_matrix.hpp"`
`#include "viennacl/coordinate_matrix.hpp"`
`#include "viennacl/ell_matrix.hpp"`
`#include "viennacl/hyb_matrix.hpp"`
`#include "viennacl/linalg/prod.hpp"`
`#include "viennacl/linalg/norm_2.hpp"`
`#include "viennacl/io/matrix_market.hpp"`
`#include "viennacl/tools/random.hpp"`

Go to the source code of this file.

## Functions
template<typename NumericT >
int | check_matrices (std::vector< std::vector< NumericT > > const &ref_mat, std::vector< std::vector< NumericT > > const &mat, NumericT eps)
template<typename IndexT , typename NumericT >
void | compute_reference_result (std::vector< std::map< IndexT, NumericT > > const &A, std::vector< std::vector< NumericT > > const &B, std::vector< std::vector< NumericT > > &C)
template<typename NumericT , typename ResultLayoutT , typename FactorLayoutT >
int | test (NumericT epsilon)
int | main ()

## Detailed Description

Tests sparse-matrix-dense-matrix products.

Test:
  Tests sparse-matrix-dense-matrix products.

Definition in file spmdm.cpp.

## Function Documentation

template<typename NumericT >

int check_matrices | ( | std::vector< std::vector< NumericT > > const & | ref_mat,
|  | std::vector< std::vector< NumericT > > const & | mat,
|  | NumericT | eps
| ) |  |

Definition at line 49 of file spmdm.cpp.

template<typename IndexT , typename NumericT >

void compute_reference_result | ( | std::vector< std::map< IndexT, NumericT > > const & | A,
|  | std::vector< std::vector< NumericT > > const & | B,
|  | std::vector< std::vector< NumericT > > & | C
| ) |  |

Definition at line 76 of file spmdm.cpp.

int main | ( |  | ) |

Definition at line 290 of file spmdm.cpp.

template<typename NumericT , typename ResultLayoutT , typename FactorLayoutT >

int test | ( | NumericT | epsilon | ) |

Definition at line 95 of file spmdm.cpp.